import request from '@/utils/request'

// 查询AI适配场景条件设置列表
export function listAiSceneConditionConfig(query) {
  return request({
    url: '/sfa/aiSceneConditionConfig/list',
    method: 'get',
    params: query
  })
}

// 查询AI适配场景条件设置详细
export function getAiSceneConditionConfig(conditionConfigId) {
  return request({
    url: '/sfa/aiSceneConditionConfig/' + conditionConfigId,
    method: 'get'
  })
}

// 新增AI适配场景条件设置
export function addAiSceneConditionConfig(data) {
  return request({
    url: '/sfa/aiSceneConditionConfig',
    method: 'post',
    data: data
  })
}

// 修改AI适配场景条件设置
export function updateAiSceneConditionConfig(data) {
  return request({
    url: '/sfa/aiSceneConditionConfig',
    method: 'put',
    data: data
  })
}

// 删除AI适配场景条件设置
export function delAiSceneConditionConfig(conditionConfigId) {
  return request({
    url: '/sfa/aiSceneConditionConfig/' + conditionConfigId,
    method: 'delete'
  })
}
